Skip to navigation

Update Bulk Pricing Rule

Updates a Bulk Pricing Rule.

Required Fields

  • none

Read-Only Fields

  • id

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Productsmodifystore_v2_products
Productsread-onlystore_v2_products_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

product_idintegerRequired

The ID of the Product to which the resource belongs.

bulk_pricing_rule_idintegerRequired

The ID of the BulkPricingRule.

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Request

This endpoint expects an object.
quantity_minintegerRequired>=0

The minimum inclusive quantity of a product to satisfy this rule. Must be greater than or equal to zero. For fixed rules, the minimum quantity canʼt be less than two. Required in /POST.

quantity_maxintegerRequired>=0

The maximum inclusive quantity of a product to satisfy this rule. Must be greater than the quantity_min value – unless this field has a value of 0 (zero), in which case there will be no maximum bound for this rule. Required in /POST.

typeenumRequired

The type of adjustment that is made. Values: price - the adjustment amount per product; percent - the adjustment as a percentage of the original price; fixed - the adjusted absolute price of the product. Required in /POST.

Allowed values:
amountdouble or stringRequired

You can express the adjustment type as either a fixed dollar amount or a percentage. Send a number; the response will return a number for price and fixed adjustments. Divide the adjustment percentage by 100 and send the result in string format. For example, represent 10% as “.10”. The response will return a float value for both price and percentage adjustments. Required in /POST.

Response

OK
dataobjectOptional
metaobjectOptional
Response metadata.

Errors

404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error